net.sf.jasperreports.engine.export.oasis

## Class JROpenDocumentExporterParameter

- java.lang.Object
- - net.sf.jasperreports.engine.JRExporterParameter
  - - net.sf.jasperreports.engine.export.oasis.JROpenDocumentExporterParameter

- Deprecated.
  Replaced by `OdtExporterConfiguration` and `OdsExporterConfiguration`.

      public class JROpenDocumentExporterParameter
      extends JRExporterParameter

  Contains parameters useful for export in Open Document format.
  Version:
    $Id: JROpenDocumentExporterParameter.java 6805 2014-01-10 12:42:19Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JROpenDocumentExporterParameter` | `ODS_FLEXIBLE_ROW_HEIGHT` Deprecated. Replaced by `OdsReportConfiguration.isFlexibleRowHeight()`.
    `static JROpenDocumentExporterParameter` | `ODT_FLEXIBLE_ROW_HEIGHT` Deprecated. Replaced by `OdtReportConfiguration.isFlexibleRowHeight()`.
    `static java.lang.String` | `PROPERTY_ODS_FLEXIBLE_ROW_HEIGHT` Deprecated. Replaced by `OdsReportConfiguration.PROPERTY_ODS_FLEXIBLE_ROW_HEIGHT`.
    `static java.lang.String` | `PROPERTY_ODT_FLEXIBLE_ROW_HEIGHT` Deprecated. Replaced by `OdtReportConfiguration.PROPERTY_ODT_FLEXIBLE_ROW_HEIGHT`.

    - ### Fields inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `CHARACTER_ENCODING, CLASS_LOADER, END_PAGE_INDEX, FILE_RESOLVER, FILTER, HYPERLINK_PRODUCER_FACTORY, IGNORE_PAGE_MARGINS, INPUT_FILE, INPUT_FILE_NAME, INPUT_STREAM, INPUT_URL, JASPER_PRINT, JASPER_PRINT_LIST, OFFSET_X, OFFSET_Y, OUTPUT_FILE, OUTPUT_FILE_NAME, OUTPUT_STREAM, OUTPUT_STRING_BUFFER, OUTPUT_WRITER, PAGE_INDEX, PARAMETERS_OVERRIDE_REPORT_HINTS, PROGRESS_MONITOR, PROPERTY_CHARACTER_ENCODING, PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS, PROPERTY_IGNORE_PAGE_MARGINS, START_PAGE_INDEX, URL_HANDLER_FACTORY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JROpenDocumentExporterParameter(java.lang.String name)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ODT_FLEXIBLE_ROW_HEIGHT

          public static final JROpenDocumentExporterParameter ODT_FLEXIBLE_ROW_HEIGHT

      Deprecated. Replaced by `OdtReportConfiguration.isFlexibleRowHeight()`.

    - #### PROPERTY_ODT_FLEXIBLE_ROW_HEIGHT

          public static final java.lang.String PROPERTY_ODT_FLEXIBLE_ROW_HEIGHT

      Deprecated. Replaced by `OdtReportConfiguration.PROPERTY_ODT_FLEXIBLE_ROW_HEIGHT`.
      See Also:
        Constant Field Values

    - #### ODS_FLEXIBLE_ROW_HEIGHT

          public static final JROpenDocumentExporterParameter ODS_FLEXIBLE_ROW_HEIGHT

      Deprecated. Replaced by `OdsReportConfiguration.isFlexibleRowHeight()`.

    - #### PROPERTY_ODS_FLEXIBLE_ROW_HEIGHT

          public static final java.lang.String PROPERTY_ODS_FLEXIBLE_ROW_HEIGHT

      Deprecated. Replaced by `OdsReportConfiguration.PROPERTY_ODS_FLEXIBLE_ROW_HEIGHT`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JROpenDocumentExporterParameter

          protected JROpenDocumentExporterParameter(java.lang.String name)

      Deprecated.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com